/**
 * License Agreement.
 *
 *  JBoss RichFaces - Ajax4jsf Component Library
 *
 * Copyright (C) 2007  Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */
package org.richfaces.realworld.service;


public class Constants {

	public static final String ERROR_ID = "mainform:error";
	public static final String CLEAR_ERROR_EVENT = "clearErrorEvent";
	public static final String ADD_ERROR_EVENT = "addErrorEvent";
	
	public static final String UPLOAD_ROOT = "uploadRoot";
	public static final String SLASH = "/";
	public static final String DOT = ".";
	public static final String JPG = "JPG";
	
	public static final String ADD_IMAGE_EVENT = "addImage";
	
	public static final int KB = 1024;
	public static final String FILE_UPLOAD_CLEAR_EVENT = "fileUploadClear";
	public static final String SHOW_FILE_UPLOAD_EVENT = "showFileUpload";
	public static final String JPEG = "jpeg";
	
	public static final String MAIN_OUTCOME = "main";

	public static final String REGISTER_LOGIN_NAME_ID = "register:loginName";
	public static final String REGISTER_CONFIRM_PASSWORD_ID = "register:confirmPassword";
	public static final String INDEX_OUTCOME = "index";
	public static final String ADMIN_ROLE = "admin";
	public static final String GUEST_ROLE = "guest";
	public static final String UPDATE_MAIN_AREA_EVENT = "updateMainArea";
	
	public static final String TREE_ID = "tree";
	public static final String CLEAR_EDITOR_EVENT = "clearEditor";
	
	public static final String HTTPS = "https://";
	public static final String HTTP = "http://";
	public static final String HTTP_1_0 = "HTTP/1.0";
	public static final String HTTP_1_1 = "HTTP/1.1";
	public static final String PICTURE_FOLDER_PATH = "/picture/";
	public static final String MINI_FORMAT = "_mini";
	public static final String MEDIUM_FORMAT = "_medium";
	public static String URL = "URL";
	public static String HTML = "HTML";
	public static String FORUM = "Forum";
	public static String HTML_PATTERN = "<a href='%s'><img src='%s' border='0'></a>";
	public static String FORUM_PATTERN = "[URL=%s][IMG]%s[/IMG][/URL]";
	public static final String ERROR_PAGE = "/error.seam";
	public static final String IMAGE_JPG = "image/jpg";
	public static final String PATH_PARAMETER = "path";
	public static final String FILE_MANAGER = "fileManager";
	public static final String ENTITY_MANAGER = "entityManager";
	public static final String USER_ID = "userId";
	public static final int INITIAL_DELAY = 4000;
	public static final int DELAY = 3000;
	public static final String ALBUM_NODE_TYPE = "album";
	public static final String USER_MANAGER = "userManager";

	public static final String USER = "user";
	public static final String TREE_ROOT_NODE_TYPE = "treeRoot";
	public static final String DATASCROLLER_ID = "mainform:imageScroller";
	public static final String DATASCROLLER2_ID = "mainform:slideShowImageScroller";

	public static final String USER_EXIST_QUERY = "user-exist";
	public static final String USER_LOGIN_QUERY = "user-login";

	public static final String PERCENT = "%";
	public static final String LOGIN_PARAMETER = "login";
	public static final String PASSWORD_PARAMETER = "password";
	public static final String USERNAME_PARAMETER = "username";

	public static final String IMAGE_CAMERA_QUERY = "image-camera";
	public static final String USER_USER_QUERY = "user-user";

	public static final String ALBUM_BY_ALBUM_NAME_AND_LOGIN_QUERY = "album-byAlbumNameAndLogin";
	public static final String ALBUM_NAME_PARAMETER = "albumName";

	private Constants(){
		
	}
	
}
