/**
 * License Agreement.
 *
 *  JBoss RichFaces - Ajax4jsf Component Library
 *
 * Copyright (C) 2007  Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */
package org.richfaces.realworld.service;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;

import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.richfaces.realworld.domain.Comment;
import org.richfaces.realworld.domain.Image;
import org.richfaces.realworld.domain.MetaTag;

@Name("imageAction")
@Stateless
public class ImageAction implements IImageAction {

	@In(value="entityManager")
	EntityManager em;
	
	public void deleteImage(Image image, boolean isFlushNeeded){
		image.getAlbum().removeImage(image);
		if(isFlushNeeded){
			em.flush();
		}
	}

	public void editImage(Image image, boolean isFlushNeeded) {
		/*image.setImageTags(null);
		String[] tokens = image.getMeta().split(",");
		for(String token:tokens){
			MetaTag t =(MetaTag) em.createQuery("from MetaTag t where t.tag =:token").setParameter("token", token).getSingleResult();
			if(t != null){
				t.addImage(image);
				image.addMetaTag(t);
			}else{
				MetaTag meta = new MetaTag();
				meta.setTag(token);
				t.addImage(image);
				image.addMetaTag(t);
			}
		}*/
		if(isFlushNeeded){
			em.flush();
		}
	}

	public void addImage(Image image, boolean isFlushNeeded) {
		String[] tokens = image.getMeta().split(",");
		for(String token:tokens){
			MetaTag t =(MetaTag) em.createQuery("from MetaTag t where t.tag =:token").setParameter("token", token).getSingleResult();
			if(t != null){
				t.addImage(image);
				image.addMetaTag(t);
			}else{
				MetaTag meta = new MetaTag();
				meta.setTag(token);
				t.addImage(image);
				image.addMetaTag(t);
			}
		}
		em.persist(image);
		image.getAlbum().addImage(image);
		if(isFlushNeeded){
			em.flush();
		}
	}
	
	public void deleteComment(Comment comment, boolean isFlushNeeded){
		comment.getImage().removeComment(comment);
		if(isFlushNeeded){
			em.flush();
		}
	}
	
	public void addComment(Comment comment, boolean isFlushNeeded){
		comment.getImage().addComment(comment);
		if(isFlushNeeded){
			em.flush();
		}
	}

	public MetaTag getTagByName(String tag) {
		return (MetaTag)em.createQuery("from MetaTag m where m.tag =:tag").setParameter("tag", tag).getSingleResult();
	}
}
