/**
 * 
 */
package org.richfaces.realworld.ui;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

/**
 * @author Andrey Markavtsov
 *
 */
@Name("imageSizeHelper")
@Scope(ScopeType.CONVERSATION)
public class ImageSizeHelper {
	
	int value = 1;

	final static String CSS_CLASS = "preview_box_album_";
	
	final static String FILE_POSTFIX = "_small";
	
	public static enum ImageDimension {
		
		SIZE1 (80, 60),
		SIZE2 (120, 80),
		SIZE3 (160, 100),
		SIZE4 (160, 100);
		
		int x;
		int y;
		
		private ImageDimension(int x, int y) {
			this.x = x;
			this.y = y;

		}
		public int getX() {
			return x;
		}

		public int getY() {
			return y;
		}
		
		public String getCssClass() {
			return CSS_CLASS + x;
		}
		
		public String getFilePostfix() {
			return FILE_POSTFIX + x;
		}
	};
	
	static ImageDimension [] dimensions = new ImageDimension [] 
	      {
		   ImageDimension.SIZE1, ImageDimension.SIZE2,
		   ImageDimension.SIZE3, ImageDimension.SIZE4
		   };
	
	public ImageDimension getCurrentDimension() {
		return dimensions[value];
	}

	public int getValue() {
		return value;
	}

	public void setValue(int value) {
		this.value = value;
	}
	
	
}
